@import "../_base.scss";
@import "../modules/common.scss";
@import "../modules/common/buttons.scss";
@import "../modules/common/navigate.scss";
@import "../modules/preloader.scss";
@import "../libs/simplebar.scss";
@import "../modules/mainMenu.scss";
@import "../modules/home/home.scss";
@import "../modules/home/scene.scss";
@import "../modules/home/map.scss";
@import "../modules/common/footer-social.scss";
@import "../modules/home/tabs.scss";
@import "../modules/home/about-window.scss";
@import "../modules/home/window-info.scss";
@import "../modules/home/window-calendar.scss";
@import "../modules/home/window-calendar-one.scss";
@import "../modules/home/calendar.scss";
@import "../modules/home/stock.scss";
@import "../modules/home/courses.scss";
@import "../modules/home/modal.scss";
@import "../modules/home/canvas.scss";
@import "../modules/course/checkin.scss";

/* new styles for sliders */
.flipster--flat .flipster__item--future .flipster__item__content {
  transform: none;
  opacity: 1;
}

.flip-items {
  @media (width <= 1279PX) {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    li {
      display: flex;
      justify-content: center;
      max-width: 50%;
      width: 100%;
      flex: 1 1 auto;
      margin: 0 0 60px;
    }

  }
  @media (width <= 768PX) {
    li {
      max-width: 100%;
      margin: auto;
      & > a {
        margin: auto;
      }
    }
  }
}

.flipster--flat .flipster__item--past, .flipster--flat .flipster__item--future {
  opacity: 1;
}

.flipster {
  overflow: visible;
}

.flipster__container {
  height: auto !important;
}

.flipster--coverflow .flipster__item__content {
  box-reflect: initial;
  -webkit-box-reflect: initial;
}

.flipster--coverflow .flipster__container {
  padding-bottom: 0%;
}

#coverflow {
  @media (width <= 1279PX) {
    width: 100%;
  }
}

.slider-container {
  display: flex;
  position: absolute 0 0 0 0;
  flex-direction: column;
  justify-content: flex-end;

  @media (width <= 1279PX) {
    justify-content: center;
  }
  @media (width <= 1279PX) {
    width: 100%;
    display: block;
    position: static !important;
  }
}

.flipster--flat .flipster__item--future .flipster__item__content,
.flipster--flat .flipster__item--past .flipster__item__content {
  transform: scale(0.75) !important;
}

.slider-nav {
  .flipster__item {
    padding: 20px;
    width: 200px;

    &--current {
      i {
        color: $orange;
      }

      span {
        color: $orange;
      }
    }

    &__content {
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      transition: 0.4s ease-in all;

      color: $white;

      &:hover {
        color: $orange;
      }

      i {
        display: block;

        margin-bottom: 20PX;

        cursor: pointer;
        text-align: center;

        font-size: 40PX;

        @media (height <= 800PX) {
          margin-bottom: 10PX;
        }
      }

      span {
        display: block;

        cursor: pointer;
        transition: 0.4s ease-in all;
        text-align: center;

        font-family: $OpenSans;
        font-size: 12PX;
        line-height: 18px;
        font-weight: bold;
        height: 48px;
        overflow: hidden;

        line-height: 1.2;
      }
    }
  }
}

/* new styles for sliders */
#coverflow {
  margin-bottom: 3%;
}

.flipster__button {

  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  margin-top: 30px;

  cursor: pointer;

  border-radius: 50%;
  background-color: $blue;

  font-size: 10px;

  size: 60px;
  opacity: 1;
  box-shadow: 0 0 80px 10px rgba(0, 0, 0, 0.85);

  svg {
    stroke: #fff;
  }
}

.flipster__button.flipster__button--next {
  margin-right: 190px;

  @media (width <= 768PX) {
    margin-right: 80px;
  }
}

#navigation {
  @media (width <= 1279PX) {
    display: none;
  }
  .safari & {
    @media (width <= 1279PX) {
      display: none;
    }
  }
}

#teachers, #partners, #calendar {
  .window-info-list__block .btn {
    margin-top: 10px;
  }
  .window-info__list {
    width: 90%;
    margin-right: 0;
    margin-bottom: 35px;
    height: 100%;
  }
  .simplebar-scroll-content {
    height: 48.8rem;
  }
  .simplebar-track {
    right: 10px;
    &.horizontal {
      display: none !important;
    }
  }
}

#about {
  .simplebar-track {
    right: 10px;
    &.horizontal {
      display: none !important;
    }
  }
}

/*Nearby-cousres*/

.nearby-courses {
  position: absolute;
  bottom: 0;
  left: 0;
  display: flex;
  flex-direction: column;

  @media (width <= 967PX) {
    display: none;
  }

  .near-courses-title {
    display: flex;
    align-items: center;
    border-radius: 10px;
    background-color: rgba(51, 51, 51, .702);
    opacity: 0.702;
    width: 416px;
    height: 65px;
    margin-left: 22px;
    padding: 0 22px;

    h4 {
      font-size: 16px;
      font-family: "OpenSans",sans-serif;
      color: rgb(255, 255, 254);
      font-weight: bold;
      line-height: 1.2;
      margin: 0;
    }
  }

  ul {
    list-style-type: none;
    margin: 0;
    padding: 0px 0px 22px 22px;

    li {
      display: flex;
      justify-content: space-between;
      align-items: center;
      border-radius: 10px;
      background-color: rgb(51, 51, 51);
      width: 416px;
      height: 72px;
      margin: 3px 0;
      padding: 0 22px;

      &:nth-child(2n + 1){
        a{
          span{
            color: rgb(0, 195, 206);


          }
        }
      }

      a {
        display: flex;
        flex-direction: column;
        font-family: "Open Sans",sans-serif;
        font-size: 20px;
        color: rgb(255, 255, 254);
        font-weight: bold;
        line-height: 1.2;
        max-width: 70%;

        span {
          font-size: 14px;
          font-family: "Open Sans",sans-serif;
          color: $orange;
          font-weight: bold;
          line-height: 1.2;
        }

      }

      div {
        display: flex;
        flex-direction: column;
        align-items: flex-end;

        span {
          font-size: 16px;
          font-family: "Open Sans",sans-serif;
          color: rgb(255, 255, 254);
          line-height: 1.2;
          position: relative;
          width: fit-content;
          margin: 4px 0;

          i {
            content: url("../img/icons/man-user.png");
          }
        }
      }
    }
  }
}


/*scroll fix*/
body{
  overflow-y: hidden;

  @media (width <= 1279PX) {
    overflow-y: auto;
  }

}

